# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit font

DESCRIPTION="Japan7 font pack"
HOMEPAGE="https://github.com/odrling/japan7-fonts"

COMMIT="74ef0dea87e3c10bbf0b4df90b663b8868d9cbd5"
SRC_URI="https://github.com/odrling/japan7-fonts/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"

LICENSE="OFL-1.1"
SLOT="0"
KEYWORDS="amd64 arm arm64 ~mips ppc ppc64 sparc x86"
IUSE=""

RDEPEND=""
DEPEND=""

RESTRICT="binchecks strip"

S="${WORKDIR}/japan7-fonts-${COMMIT}"

FONT_SUFFIX="ttf"
FONT_CONF=()

src_install() {
	for d in */; do
		FONT_S="$d" FONTDIR="${FONTDIR}/$d" font_src_install
	done
}
